Skip to main content
GET
/
subcategories
Fetch subcategories by categories
curl --request GET \
  --url https://sandbox.api.btdx.io/subcategories \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "subcategories": [
    {
      "id": "<string>",
      "externalReferences": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "name": "<string>",
      "category": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "externalReferences": [
    {
      "id": 123,
      "source": "<string>",
      "externalReference": "<string>"
    }
  ],
  "categories": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Query Parameters

categoryIds
string[]

Response

OK

_meta
object
subcategories
object[]
externalReferences
object[]
categories
object[]